from bot.utils.graph import generate_chart
from bot.api import send_document
from bot.storage import storage, scan
import json


async def handle_command_graph(msg):
    _usr_ids, members = scan(match="usr-*", count=100)
    data = generate_chart(members)
    if data:
        r = await send_document(msg["chat"]["id"], data, "chart.svg")
        print(r)
